FROM gdk
RUN  asdf global ruby 2.7.5 \
  && asdf global golang 1.17.2 \
  && asdf global nodejs 14.17.5 \
  && asdf global postgres 12.9

RUN asdf install golang 1.17.1

RUN gdk init
WORKDIR /home/gdk/gitlab-development-kit
RUN bundle install
RUN gem install re2
RUN gem install charlock_holmes
RUN gem install eventmachine
RUN gem install ffi
RUN gem install pg
RUN printf '\nlisten_address: "0.0.0.0"\nhost: "127.0.0.1"' >> gdk.yml

WORKDIR /home/gdk

COPY --chown=gdk oc/startup.sh .
CMD bash /home/gdk/startup.sh; bash
#ENTRYPOINT ["/usr/bin/bash"]
